org.apache.tinkerpop.gremlin.process.remote.traversal

## Class EmbeddedRemoteTraversal<S,E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraversal<S,E>
  - - org.apache.tinkerpop.gremlin.process.remote.traversal.EmbeddedRemoteTraversal<S,E>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<E>, RemoteTraversal<S,E>, Traversal<S,E>, Traversal.Admin<S,E>

      public class EmbeddedRemoteTraversal<S,E>
      extends AbstractRemoteTraversal<S,E>

  Generated by the `EmbeddedRemoteConnection` to help simulate a remote traversal execution within the same JVM.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `Traversal.Admin<S,E>, Traversal.Exceptions, Traversal.Symbols`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmbeddedRemoteTraversal(Traversal<S,E> t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteTraversalSideEffects` | `getSideEffects()` Deprecated. as of release 3.3.8, not directly replaced, see `Admin#getSideEffects()` for more information.
    `boolean` | `hasNext()`
    `E` | `next()`
    `Traverser.Admin<E>` | `nextTraverser()` Note that internally `AbstractRemoteTraversal.nextTraverser()` is called from within a loop (specifically in `AbstractStep.next()` that breaks properly when a `NoSuchElementException` is thrown.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraversal

      `addStep, applyStrategies, clone, getBytecode, getGraph, getParent, getSteps, getStrategies, getTraverserGenerator, getTraverserRequirements, isLocked, removeStep, setGraph, setParent, setSideEffects, setStrategies`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal.Admin

      `addStart, addStarts, addStep, equals, getEndStep, getStartStep, getTraversalSource, removeStep, reset`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `asAdmin, close, explain, fill, forEachRemaining, forEachRemaining, iterate, next, none, profile, promise, toBulkSet, toList, toSet, toStream, tryNext`

    - ### Methods inherited from interface java.util.Iterator

      `remove`

- - ### Constructor Detail

    - #### EmbeddedRemoteTraversal

          public EmbeddedRemoteTraversal(Traversal<S,E> t)

  - ### Method Detail

    - #### nextTraverser

          public Traverser.Admin<E> nextTraverser()

      Description copied from class: `AbstractRemoteTraversal`
      Note that internally `AbstractRemoteTraversal.nextTraverser()` is called from within a loop (specifically in `AbstractStep.next()` that breaks properly when a `NoSuchElementException` is thrown. In other words the "results" should be iterated to force that failure.
      Specified by:
        `nextTraverser` in interface `Traversal.Admin<S,E>`
      Specified by:
        `nextTraverser` in class `AbstractRemoteTraversal<S,E>`

    - #### getSideEffects

          @Deprecated
          public RemoteTraversalSideEffects getSideEffects()

      Deprecated. as of release 3.3.8, not directly replaced, see `Admin#getSideEffects()` for more information.
      Description copied from interface: `RemoteTraversal`
      Returns remote side-effects generated by the traversal so that they can be accessible to the client. Note that "side-effect" refers to the value in "a" in the traversal `g.V().aggregate('a').values('name')`.
      Returns:
        The traversal sideEffects

    - #### hasNext

          public boolean hasNext()

    - #### next

          public E next()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.